Bug 962011 - [ALL] candlepin master translations for all the new "compliance reasons" are needed
[ALL] candlepin master translations for all the new "compliance reasons" are ...
Status: CLOSED DEFERRED
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bryan Kearney
Katello QA List
: Translation
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-05-10 19:18 EDT by John Sefler
Modified: 2015-05-14 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-14 12:10:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-05-10 19:18:17 EDT
Description of problem:
Many languages have untranslated strings for all the new "compliance reason" status messages.

For example....

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/controller/Entitler.java:142
#, java-format
msgid "Quantity ''{0}'' is not a multiple of instance multiplier ''{1}''"
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/policy/js/compliance/StatusReasonMessageGenerator.java:53
msgid "Not covered by a valid subscription."
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/policy/js/compliance/StatusReasonMessageGenerator.java:56
#, java-format
msgid "Covers architecture {0} but the system is {1}."
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/policy/js/compliance/StatusReasonMessageGenerator.java:61
#, java-format
msgid "Only covers {0} of {1} sockets."
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/policy/js/compliance/StatusReasonMessageGenerator.java:66
#, java-format
msgid "Only covers {0} of {1} cores."
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/policy/js/compliance/StatusReasonMessageGenerator.java:71
#, java-format
msgid "Only covers {0}GB of {1}GB of RAM."
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/policy/js/compliance/StatusReasonMessageGenerator.java:76
#, java-format
msgid "{2} COVERAGE PROBLEM. Covers {0} of {1}"
msgstr ""
Stderr: 

Version-Release number of selected component (if applicable):
[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.8.7-1.git.0.7057031.el5

https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X
Comment 1 John Sefler 2013-05-10 19:24:36 EDT
Zanata Correction...
https://translate.zanata.org/zanata/iteration/view/candlepin/master
Comment 2 Devan Goodwin 2013-07-15 10:18:59 EDT
Moving translation bugs to ON_QA, zanata indicates translations are now 100%. Please forgive us if any of these turn up to have been missed and flip back to NEW.
Comment 3 Sharath Dwaral 2013-07-19 14:55:24 EDT
Version:

# git show-branch
[master] Merge pull request #332 from candlepin/ckozak/fix_spec

# git show
commit 87b499b95744fb5faccc18a7c133cdbb0a62a46f
Merge: 011bfa0 d02e7ec
Author: cakofony <c4kofony@gmail.com>
Date:   Thu Jul 18 10:37:31 2013 -0700

    Merge pull request #332 from candlepin/ckozak/fix_spec
    
    fixed the spec test to conform with consumer update fix



Verification:

Checked for a few stings against Zanata and the strings have been translated but not pulled to candlepin.

Moving back to NEW
Comment 4 Bryan Kearney 2013-07-29 12:13:10 EDT
These will be in 0.8.16 or later. Moving to ON_QA.
Comment 5 Sharath Dwaral 2013-07-30 09:49:37 EDT
It can be seen from ZANATA https://translate.zanata.org/zanata/iteration/view/candlepin/master that languages pa, bn-IN, ta-IN are not 100% complete.
Comment 6 Sharath Dwaral 2013-07-30 10:10:07 EDT
Version:

# subscription-manager version 
  server type: This system is currently not registered.
> subscription management server: 0.8.18-1
  subscription-manager: 1.8.14-1.el5
  python-rhsm: 1.8.15-1.el5


Based on comment 5 moving bug back to NEW
Comment 7 Jesus M. Rodriguez 2013-08-14 10:04:45 EDT
I've updated the keys.pot file on zanata. Translations now show 99% so the new strings should get updated soon.
Comment 8 Bryan Kearney 2014-01-31 10:19:25 EST
latest strings from zanata were pushed to candlepin in 27809d10a37bfcdb1b5d531973bb1b37d862e519
Comment 9 John Sefler 2014-03-03 15:40:12 EST
Verifying Version...
[root@jsefler-f14-candlepin po]# git branch 
* master
[root@jsefler-f14-candlepin po]# git show-ref | grep master | head -1
d8eebb26598ab81088c6d5ce058e7d42ddac2538 refs/heads/master
[root@jsefler-f14-candlepin po]# ls
as.po     es_ES.po  hi.po  keys.pot  ml.po  pa.po     ta.po       zh_CN.po
bn_IN.po  fr.po     it.po  kn.po     mr.po  pt_BR.po  te.po       zh_TW.po
de_DE.po  gu.po     ja.po  ko.po     or.po  ru.po     zanata.xml

[root@jsefler-f14-candlepin po]# pofilter -t untranslated as.po
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2014-02-25 16:33-0500\n"
"PO-Revision-Date: 2014-02-05 04:37-0500\n"
"Last-Translator: ngoswami <ngoswami@fedoraproject.org>\n"
"Language-Team: Assamese\n"
"Language: as\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: \n"
"X-Generator: Zanata 3.2.3\n"

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/controller/Entitler.java:139
#, java-format
msgid "Pool is restricted to physical systems: ''{0}''."
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/exceptions/mappers/CandlepinExceptionMapper.java:112
#, java-format
msgid "Runtime Error {0}"
msgstr ""

# (pofilter) untranslated: Checks whether a string has been translated at all.
#: src/main/java/org/candlepin/util/ContentOverrideValidator.java:84
#, java-format
msgid "Name, value, and label of the override must not exceed {0} characters."
msgstr ""
[###########################################] 100%
[root@jsefler-f14-candlepin po]# 


FAILED: 
https://translate.zanata.org/zanata/iteration/view/candlepin/master appears to have these three offending strings translated.  They need to be pulled back into candlepin.
Comment 10 John Sefler 2014-03-14 12:10:23 EDT
Moving this bug to CLOSED.

Translations in the master branch of Candlepin will always be a moving target.


As of today, the candlepin master translations for all the new "compliance reasons" are complete for all languages.   The failures in comment 9 are for even newer strings than the compliance strings.   Hence the pofilter untranslated test results will always be a moving target.

Note You need to log in before you can comment on or make changes to this bug.